

This Repo Contains Implementation of Catalan Text To Speech With Some Samples

![logan-armstrong-hVhfqhDYciU-unsplash](https://user-images.githubusercontent.com/53477752/163730241-b83bd381-90a9-4235-9322-363fe0c04390.jpg)



Based on Microsoft's [FastSpeech](https://www.microsoft.com/en-us/research/blog/fastspeech-new-text-to-speech-model-improves-on-speed-accuracy-and-controllability/)

Catalan Version of [FastSpeech Repo](https://github.com/as-ideas/ForwardTacotron)


<img width="897" alt="fast_speech" src="https://user-images.githubusercontent.com/53477752/164887535-20ac8f83-476b-4174-8ba8-8387674213f9.png">
<br>


The model has following advantages:
- **Robustness:** No repeats and failed attention modes for challenging sentences.
- **Speed:** The generation of a mel spectogram takes about 0.04s on a GeForce RTX 2080.
- **Controllability:** It is possible to control the speed of the generated utterance.
- **Efficiency:** In contrast to FastSpeech and Tacotron, the model of ForwardTacotron
does not use any attention. Hence, the required memory grows linearly with text size, which makes it possible to synthesize large articles at once.



Check out the latest [audio samples](https://mehdihosseinimoghadam.github.io//posts/2022/04/Catalan-Text-To-Speech/) (ForwardTacotron + WaveRNN)!
The samples are generated with a model trained on 2 hoours of data from [Catalan Common Voice](https://commonvoice.mozilla.org/en/datasets) and vocoded with WaveRNN, [MelGAN](https://github.com/seungwonpark/melgan), or [HiFiGAN](https://github.com/jik876/hifi-gan). 
You can try out the latest pretrained model with the following notebook:  

[![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/drive/1QymK7ZDUojldI_nV79Ijk_Fj9hpx_9jW#scrollTo=2QzYYULSgDtI)







## References

* [FastSpeech: Fast, Robust and Controllable Text to Speech](https://arxiv.org/abs/1905.09263)
* [FastPitch: Parallel Text-to-speech with Pitch Prediction](https://arxiv.org/abs/2006.06873)
* [HiFi-GAN: Generative Adversarial Networks for Efficient and High Fidelity Speech Synthesis](https://arxiv.org/abs/2010.05646)
* [MelGAN: Generative Adversarial Networks for Conditional Waveform Synthesis](https://arxiv.org/abs/1910.06711)

## Acknowlegements

* [https://github.com/keithito/tacotron](https://github.com/keithito/tacotron)
* [https://github.com/fatchord/WaveRNN](https://github.com/fatchord/WaveRNN)
* [https://github.com/seungwonpark/melgan](https://github.com/seungwonpark/melgan)
* [https://github.com/jik876/hifi-gan](https://github.com/jik876/hifi-gan)
* [https://github.com/xcmyz/LightSpeech](https://github.com/xcmyz/LightSpeech)
* [https://github.com/resemble-ai/Resemblyzer](https://github.com/resemble-ai/Resemblyzer)
* [https://github.com/NVIDIA/DeepLearningExamples/tree/master/PyTorch/SpeechSynthesis/FastPitch](https://github.com/NVIDIA/DeepLearningExamples/tree/master/PyTorch/SpeechSynthesis/FastPitch)

## Maintainers

* Mehdi Hosseini Moghadam, github: [mehdihosseinimoghadam](https://github.com/mehdihosseinimoghadam) 

## Copyright

See [LICENSE](LICENSE) for details.









